figure img{
    margin: 15px auto;
    padding: 5px;
    border:1px solid #ddd;
}

#leftbox{order: 1;}
#rightbox{order: 2;}

@media screen and (min-width:840px) {
    .flexbox{
        flex-direction:row;
    }

    #leftbox{
        width: 640px;
        margin-right: 15px;
    }

    #rightbox{width: 185px;}

    #rightbox h3, #rightbox p{
        width: 170px;
    }

    figure{
        display:flex;
        flex-direction:row;
        width: 640px;
        margin:0;  
    }

    figcaption{
        order: 1;
        margin-top: 5px;
    }

    figure img{
        order: 2;
    }
}

@media screen and (max-width: 840px){
    .flexbox{
        flex-direction:column;
    }

    #leftbox, #rightbox{
        width:100%;
        margin:auto;
    }

    #leftbox figure{
        margin-left: 10px;
    }

    #rightbox p{
        margin-left: 10px;
    }



    figure{
        display: block;
    }
}